# A023 - 403 Error: ASID is not configured in the application (INT)

**URL:** <https://developer.community.nhs.uk/t/a023-403-error-asid-is-not-configured-in-the-application-int/10462>\
**Category:** e-Referral Service FHIR API\
**Tags:** fhir\
**Created:** [3 February 2026 11:29 UTC](https://developer.community.nhs.uk/t/a023-403-error-asid-is-not-configured-in-the-application-int/10462 "2026-02-03T11:29:17Z")\
**Posts on this page:** 3\
**Page:** 1

<div class="post-metadata">

**Author:** ![JamesG](https://avatars.discourse-cdn.com/v4/letter/j/5f9b8f/32.png) [@JamesG](https://developer.community.nhs.uk/u/JamesG)\
**Post date:** [3 February 2026 11:29 UTC](https://developer.community.nhs.uk/t/a023-403-error-asid-is-not-configured-in-the-application-int/10462/1 "2026-02-03T11:29:17Z")

</div>

Getting 403 from A023 with user auth

`curl -X POST "https://int.api.service.nhs.uk/referrals/FHIR/STU3/CommunicationRequest/$ers.fetchworklist" \`  
`-H "Authorization: Bearer XXXX" \`  
`-H "Accept: application/fhir+json" \`  
`-H "Content-Type: application/fhir+json" \`  
`-H "NHSD-eRS-InterfaceVersion: 2" \`  
`-H "NHSD-eRS-Business-Function: SERVICE_PROVIDER_CLINICIAN_ADMIN" \`  
`-H "NHSD-End-User-Organisation-ODS: O6H3T" \`  
`-H "NHSD-Session-URID: 555379785101" \`  
`-d '{"resourceType": "Parameters", "meta": {"profile": ["https://fhir.nhs.uk/STU3/StructureDefinition/eRS-FetchWorklist-Parameters-1"]}, "parameter": [{"name": "listType", "valueCodeableConcept": {"coding": [{"system": "https://fhir.nhs.uk/STU3/CodeSystem/eRS-CommunicationListSelector-1", "code": "ADVICE_AND_GUIDANCE_REQUESTS"}]}}]}'", "event": "ers_ag_worklist_curl", "correlation_id": "ca01904e-dab3-434c-b4a4-45d6fb5f6b30", "level": "info", "timestamp": "2026-02-03T11:09:44.879390Z"`

---

<div class="post-metadata">

**Author:** ![George\_Craft](https://avatars.discourse-cdn.com/v4/letter/g/8e7dd6/32.png) [@George\_Craft](https://developer.community.nhs.uk/u/George_Craft)\
**Post date:** [10 February 2026 10:48 UTC](https://developer.community.nhs.uk/t/a023-403-error-asid-is-not-configured-in-the-application-int/10462/2 "2026-02-10T10:48:51Z")

</div>

Hi @JamesG,

Having a look at your request I can see you are using an SPCA business function. Would you be able to try using one of these request headers in your request: [NHSD-eRS-On-Behalf-Of-User-ID](https://digital.nhs.uk/developer/api-catalogue/e-referral-service-fhir#post-/STU3/CommunicationRequest/$ers.fetchworklist:~:text=Examples%3A%20SERVICE_PROVIDER_CLINICIAN_ADMIN-,NHSD%2DeRS%2DOn%2DBehalf%2DOf%2DUser%2DID,-string). The link will provide you with an example and should help you integrate this in your request. Let me know if this resolves your issue.

Thanks,

George

---

<div class="post-metadata">

**Author:** ![JamesG](https://avatars.discourse-cdn.com/v4/letter/j/5f9b8f/32.png) [@JamesG](https://developer.community.nhs.uk/u/JamesG)\
**Post date:** [11 February 2026 10:10 UTC](https://developer.community.nhs.uk/t/a023-403-error-asid-is-not-configured-in-the-application-int/10462/3 "2026-02-11T10:10:25Z")

</div>

Hi George,

Thanks for your reply. The issue was that the application just didn’t have an ASID set up, and this has been rectified by a member of the eRS team. This post can be closed.
